Bug 89071 - Exception during installation
Summary: Exception during installation
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-17 05:37 UTC by Yuriy
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 20:46:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yuriy 2003-04-17 05:37:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
Traceback:

File "/usr/bin/anaconda", line 739, in ? intf.run(id, dispatch, configFileData)
File "/usr/lib/anaconda/text.py", line 459, in run dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext self.moveStep()
File "/usr/lib/anaconda/dispatch.py", line 255, in MoveStep rc = apply(func, 
self.bindArgs(args))
File "/usr/lib/anaconda/packages.py", line 136, in readPackages id.hdList = 
method.readHeaders()
File "/usr/lib/anaconda/image/py", line 45, in readHeaders return 
HeaderListFromFile(self.tree + "/RedHat/base/hdlist")
File "/usr/lib/anaconda/comps.py", line 225, in __init__ noscore = noscore)
File "/usr/lib/anaconda/comps.py", line 201, in __init__ score1 = rpm.archscore
(h['arch'])
TypeError: argument 1 must be string, not None

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Every time during the text mode installation, after partitioning.

Additional info:

Comment 1 Michael Fulbright 2003-04-22 15:39:49 UTC
What processor is this installation on?

Comment 2 Yuriy 2003-04-23 03:15:46 UTC
This is AMD K6 400Mz.

Comment 3 Michael Fulbright 2003-05-12 21:42:01 UTC
Any ideas Jeremy?

Comment 4 Jeremy Katz 2003-05-12 21:47:39 UTC
Have you changed your installation tree at all?  Can you attach the complete
dump file given by anaconda when you hit this?

Comment 5 Michael Fulbright 2003-06-18 20:46:48 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.